Description

When calling the api, all "include"-data ist missing.

I called the api like: /projects/12.xml?include=trackers,issue_categories

Checking xml and json,

checking different tables,

checking different includes

none ever gave back any included data.

The requesting user is admin.

Also (since I primarily want to see time_entry_activities), calling the endpoint /enumerations/time_entry_activities.xml

only delivers a very short list.

It looks like, in this list, only some basic time_entry_activities are listed.

Every new project seems to create its own time_entry_activities that are not shown.

A workaround to show the project-specific time_entry_activities would also do.

System information:

Environment:

Redmine version                3.4.13.stable

Ruby version                   2.4.10-p364 (2020-03-31) [x86_64-linux-musl]

Rails version                  4.2.11.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.12.2

Mercurial                      4.9.1

Bazaar                         2.7.0

Git                            2.22.2

Filesystem

Redmine plugins:

progressive_projects_list      4.0.0

redmine_editauthor             0.11.0

redmine_messenger              1.0.5

redmine_shady                  0.7.0

History

#1 - 2025-01-27 19:58 - Holger Just

- Status changed from New to Needs feedback

Redmine 3.4 already implemented the functionality to include trackers and issue categories in the project API response using the exact request

syntax you used. Thus, your requesy should work with an unchanged Redmine.

If you find that you did not get the requested data, this may be caused by custom changes to your Redmine (either from manual code edits or from

any of the installed plugins), or from your server environment (such as a proxy server or web firewall which may filter some requests or request

parameters). You can check this by checking the logs of your webserver(s), proxy server(s), as well as Redmine itself at log/production.log

In any case, please be aware that Redmine 3.4 is very outdated and is not supported by the Redmine project anymore. It also contains quite a

number of known bugs and security issues which were fixed in later versions. Thus, regardless of this issue, you should try to update your Redmine to

a supported version.
#2 - 2025-01-28 15:12 - Nicolai Schirawski

Thank you for your feedback.

I checked the logs and found an issue on my side, outside redmine.

The ticket can be closed as resolved.

The suggestion to update redmine has been discussed internally and got approved ;-)

Thanks for the help!

#3 - 2025-01-28 15:34 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks for your feedback.
